lacp2(3)

NAME
lacp2 - lacp2: general matrix, convert real to complex

SYNOPSIS

  Functions

subroutine clacp2 (uplo, m, n, a, lda, b, ldb)
CLACP2 copies all or part of a real two-dimensional array to a complex array.
subroutine zlacp2 (uplo, m, n, a, lda, b, ldb)
ZLACP2 copies all or part of a real two-dimensional array to a complex array.

Detailed Description

Function Documentation

  subroutine clacp2 (character uplo, integer m, integer n, real, dimension( lda, * ) a, integer lda, complex, dimension( ldb, * ) b, integer ldb)

CLACP2 copies all or part of a real two-dimensional array to a complex array.

Purpose:

    !>
    !> CLACP2 copies all or part of a real two-dimensional matrix A to a
    !> complex matrix B.
    !>

Parameters
    UPLO

    !>          UPLO is CHARACTER*1
    !>          Specifies the part of the matrix A to be copied to B.
    !>          = 'U':      Upper triangular part
    !>          = 'L':      Lower triangular part
    !>          Otherwise:  All of the matrix A
    !>

    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.  M >= 0.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.  N >= 0.
    !>

    A

    !>          A is REAL array, dimension (LDA,N)
    !>          The m by n matrix A.  If UPLO = 'U', only the upper trapezium
    !>          is accessed; if UPLO = 'L', only the lower trapezium is
    !>          accessed.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A.  LDA >= max(1,M).
    !>

    B

    !>          B is COMPLEX array, dimension (LDB,N)
    !>          On exit, B = A in the locations specified by UPLO.
    !>

    LDB

    !>          LDB is INTEGER
    !>          The leading dimension of the array B.  LDB >= max(1,M).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

  subroutine zlacp2 (character uplo, integer m, integer n, double precision, dimension( lda, * ) a, integer lda, complex*16, dimension( ldb, * ) b, integer ldb)

ZLACP2 copies all or part of a real two-dimensional array to a complex array.

Purpose:

    !>
    !> ZLACP2 copies all or part of a real two-dimensional matrix A to a
    !> complex matrix B.
    !>

Parameters
    UPLO

    !>          UPLO is CHARACTER*1
    !>          Specifies the part of the matrix A to be copied to B.
    !>          = 'U':      Upper triangular part
    !>          = 'L':      Lower triangular part
    !>          Otherwise:  All of the matrix A
    !>

    M

    !>          M is INTEGER
    !>          The number of rows of the matrix A.  M >= 0.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns of the matrix A.  N >= 0.
    !>

    A

    !>          A is DOUBLE PRECISION array, dimension (LDA,N)
    !>          The m by n matrix A.  If UPLO = 'U', only the upper trapezium
    !>          is accessed; if UPLO = 'L', only the lower trapezium is
    !>          accessed.
    !>

    LDA

    !>          LDA is INTEGER
    !>          The leading dimension of the array A.  LDA >= max(1,M).
    !>

    B

    !>          B is COMPLEX*16 array, dimension (LDB,N)
    !>          On exit, B = A in the locations specified by UPLO.
    !>

    LDB

    !>          LDB is INTEGER
    !>          The leading dimension of the array B.  LDB >= max(1,M).
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Author

Generated automatically by Doxygen for LAPACK from the source code.